$page-background-color: rgb(42, 53, 74);

.page {
  position: fixed;
  top: $header-top-height;
  left: 0px;
  bottom: 0px;
  width: 100%;
  background-color: $page-background-color;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  z-index: 5;
  @media screen and (max-width: 768px) {
    //padding-bottom: 60px;
  }
  &.full {
    z-index: 3;
  }
  &-sticky {
    //background-color: #161f2f;
    .page {
      &_header {
        position: absolute;
        z-index: 2;
        left: 0px;
        right: 0px;
        top: 0px;
        overflow: hidden;
        &-hide {
          //top: -6px;
          transform: translateY(-100%);
          //max-height: 0px;
        }
      }
      &_body {
        margin-top: 60px;
        &-subtitle {
          margin-top: 97px;
        }
      }
    }
  }
  &_header {
    background-color: $secondaryColor;
    will-change: transition;
    transition: $transitionTime transform linear;
    &-inner {
      height: 60px;
      @include Container;
      position: relative;
      text-transform: uppercase;
    }
    &-title {
      font-size: 1.2rem;
      transition: font-size $transitionTime linear;
    }
    &-close {
      position: absolute;
      right: 15px;
      top: 15px;
    }
    &-back {
      position: absolute;
      left: 15px;
      top: 15px;
    }
  }
  &_body {
    //@include Container;
    -webkit-overflow-scrolling: touch;
    padding: $paddingDefault * 2 0px;
    &-gradient {
      padding: 0px;
      flex: 1;
    }
  }
  &_footer {
    //padding: $paddingDefault;
    background-color: $darkCommonColor;
  }
}
